Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmtsCallbackType_s Struct Reference
[PYTHON.]

## Data Fields
PyObject * | cb
PyObject * | data
rpmtsObject * | tso
int | pythonError
PyThreadState * | _save

## Field Documentation

PyThreadState* rpmtsCallbackType_s::_save

| Definition at line 157 of file rpmts-py.c. Referenced by rpmts_Check, rpmts_Run, rpmts_SolveCallback, and rpmtsCallback.

PyObject* rpmtsCallbackType_s::cb

| Definition at line 153 of file rpmts-py.c. Referenced by rpmts_Check, rpmts_Run, rpmts_SolveCallback, and rpmtsCallback.

PyObject* rpmtsCallbackType_s::data

| Definition at line 154 of file rpmts-py.c. Referenced by rpmts_Run, and rpmtsCallback.

int rpmtsCallbackType_s::pythonError

| Definition at line 156 of file rpmts-py.c. Referenced by rpmts_Check, rpmts_Run, rpmts_SolveCallback, and rpmtsCallback.

rpmtsObject* rpmtsCallbackType_s::tso

| Definition at line 155 of file rpmts-py.c. Referenced by rpmts_Check, rpmts_Run, and rpmts_SolveCallback.

The documentation for this struct was generated from the following file:

- python/rpmts-py.c